## org.biojava.bio.seq.io
Interface StreamParser

    public interface StreamParser

Parse a stream of characters into BioJava symbols.

Since:
  1.1
Author:
  Thomas Down

Method Summary
`void` `characters(char[] data, int start, int len)`
`void` `close()`

Method Detail

### characters

    void characters(char[] data,
                    int start,
                    int len)
                    throws IllegalSymbolException

  Throws:
    `IllegalSymbolException`

### close

    void close()
               throws IllegalSymbolException

  Throws:
    `IllegalSymbolException`